Page MenuHomePhabricator

ChangeTags::updateTags() should be able to derive log_id from rev_id (and the other way) when applicable
Closed, ResolvedPublic

Description

ChangeTags::updateTags() should be able to derive log_id from rev_id (and the other way) when applicable.

Event Timeline

matmarex claimed this task.
matmarex raised the priority of this task from to Normal.
matmarex updated the task description. (Show Details)
matmarex added subscribers: matmarex, TTO.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2015, 10:17 PM

Change 262858 had a related patch set uploaded (by Bartosz Dziewoński):
ChangeTags: Teach updateTags() to derive log_id from rev_id (and the other way)

https://gerrit.wikimedia.org/r/262858

Change 262858 merged by jenkins-bot:
ChangeTags: Teach updateTags() to derive log_id from rev_id (and the other way)

https://gerrit.wikimedia.org/r/262858

matmarex closed this task as Resolved.Jan 18 2016, 5:04 PM

@TTO I really love how all the tag editing stuff you wrote is robust enough to handle this with no changes needed :D It all just worked, magic. I submitted a tiny follow-up change to the log formatter: https://gerrit.wikimedia.org/r/264759

TTO added a comment.Jan 19 2016, 2:14 AM

Thanks Bartosz, I think it's just luck though :)